Bug 189096 - kernel-2.6.16-1.2069_FC4 breaks network to network ipsec vpn
kernel-2.6.16-1.2069_FC4 breaks network to network ipsec vpn
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-15 23:04 EDT by Christopher Johnson
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:11:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Johnson 2006-04-15 23:04:06 EDT
Description of problem:
kernel-2.6.16-1.2069_FC4 breaks network to network ipsec that worked on
kernel-2.6.13-1.1526_FC4

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2069_FC4
ipsec-tools-0.5-4

How reproducible:
always

Steps to Reproduce:
1. configure working ipsec vpn on kernel-2.6.13-1.1526_FC4
2. boot to kernel-2.6.16-1.2069_FC4
3. ping one network from the other 
4. ipsec creates lots of SAD entries, but none functional
  
Actual results:
Complete failure to pass tunneled packets between networks.

Expected results:
All unfiltered traffic passed by ipsec tunnel between peers

Additional info:
Tunnel is configured via /etc/sysconfig/network-scripts/ifcfg-ipsec0:
ONBOOT=yes
TYPE=IPSEC
IKE_METHOD=X509
IKE_CERTFILE=me-gw
IKE_PEER_CERTFILE=nj-gw
SRCNET=10.232.0.0/16
DSTNET=10.1.0.0/16
SRC=[local public ip address]
DST=[peer public ip address]

iptables configuration is of course necessary, but remains unchanged between
working and non-working configuration.  The booted kernel is the only change.

The remote peer is running kernel-2.6.14-1.1644_FC4 and ipsec-tools-0.5-4.
Comment 1 Dave Jones 2006-09-16 23:24:51 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 20:46:54 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:11:25 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.